return {
    "nvim-tree/nvim-tree.lua",
    version = "*",
    lazy = false,
    dependencies = {
        "nvim-tree/nvim-web-devicons",
    },
    config = function()
        vim.g.loaded_netrw = 1
        vim.g.loaded_netrwPlugin = 1

        require("nvim-tree").setup {
            sort = {
                folders_first = true,
                sorter = "name"
            }
        }

        vim.keymap.set('n', '<leader>e', ":NvimTreeToggle<CR>", {silent = true})
        vim.keymap.set('n', '<leader><leader>e', ":NvimTreeFindFile<CR>", {silent = true})
    end,
}
